Search documentation of grizzly

# View Source Grizzly.ZWave.CommandClasses.ThermostatMode (grizzly v7.4.2)

"ThermostatMode" Command Class

The Thermostat Mode Command Class is used to control which mode a thermostat operates.

# Summary

## Types

mode()

## Functions

decode_mode(byte)
encode_mode(atom)

# Types

Link to this type

# mode()

View Source

    @type mode() ::
      :off
      | :heat
      | :cool
      | :auto
      | :auxiliary
      | :resume_on
      | :fan
      | :furnace
      | :dry
      | :moist
      | :auto_changeover
      | :energy_heat
      | :energy_cool
      | :away
      | :full_power
      | :manufacturer_specific

# Functions

Link to this function

# decode_mode(byte)

View Source

    @spec decode_mode(byte()) :: {:ok, mode()} | {:error, Grizzly.ZWave.DecodeError.t()}

Link to this function

# encode_mode(atom)

View Source

    @spec encode_mode(mode()) :: byte()